## org.eclipse.amp.amf.gen.ext
Class ClassMainConfigurator

    java.lang.Object
      org.eclipse.amp.amf.ide.RuntimeConfigurator
          org.eclipse.amp.amf.gen.ext.ClassMainConfigurator

All Implemented Interfaces:
  Configurator

    public class ClassMainConfigurator

extends RuntimeConfigurator

Field Summary

Fields inherited from class org.eclipse.amp.amf.ide.RuntimeConfigurator
`ATTR_METAABM_FILE, METAABM_CONFIGURATOR, VM_CONFIG`

Constructor Summary
`ClassMainConfigurator()`

Method Summary
`void` `configure(ILaunchConfigurationWorkingCopy config, IResource model)` Configures the ascape launch for a model.

Methods inherited from class org.eclipse.amp.amf.ide.RuntimeConfigurator
`configureForLaunch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassMainConfigurator

    public ClassMainConfigurator()

Method Detail

### configure

    public void configure(ILaunchConfigurationWorkingCopy config,
                          IResource model)

  Configures the ascape launch for a model. If model is null, then performs default configuration.

  Specified by:
    `configure` in interface `Configurator`
  Overrides:
    `configure` in class `RuntimeConfigurator`
  Parameters:
    `model` - may be null

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors